GNU Octave is a high-level interpreted language and software, primarily intended for numerical computations. Historically it has been solely run from the command-line (that is, through a terminal emulator) but since version 3.8.0 a graphical user interface (GUI) has been available as part of the ...

learn more… | top users | synonyms

0
votes
0answers
10 views

which include needed in Octave

I've started working with the octave library in C++. I need to uses the functions: polyfit and csaps. Which in includes do I need to run these functions? Koby
0
votes
0answers
22 views

Why is Octave half configured?

I have installed Octave using the following commands giver over here-: wget -c ftp://ftp.gnu.org/gnu/octave/octave-4.0.0.tar.gz tar xzvf octave-4.0.0.tar.gz cd octave-4.0.0 .configure make make ...
0
votes
0answers
46 views

Still cannot compile Octave 4.0.0 with native graphics

I am on a Xubuntu 14.04 and am trying to build Octave4.0.0 from source. I've read the answers to this question, but none was successful in removing the following warnings when running ./configure for ...
1
vote
0answers
63 views

Octave-control package installation is not working

I have sucessfully installed octave and octave-control from ubuntu repo. but when i try to use it I get following error. enter octave:2> num = [ 1 2] num = 1 2 octave:3> den = [ 2 4 6] ...
-1
votes
1answer
200 views

Installing symbolic package in octave

I have installed octave with the following commands sudo add-apt-repository ppa:picaso/octave sudo apt-get install octave Then from octave i used the following command pkg install -forge synbolic ...
0
votes
0answers
27 views

How to calculate laplace and laplace inverse using octave?

I have octave installed in my ubuntu-14.04 and package symbolic installed too When i use ilaplace function i get this error error: 'ilaplace' undefined near line 1 column 1 I need to compute ...
1
vote
1answer
56 views

The qtoctave package was removed from Ubuntu 15.10 Wily Werewolf official repositories?

There is no more qtoctave in Ubuntu 15.10 Wily Werewolf? I've tried to install and obtained this: $ sudo apt-get install qtoctave E: Package 'qtoctave' has no installation candidate Searching in ...
2
votes
1answer
84 views

How to install Octave in Ubuntu 14.04 using terminal

sudo apt-get build-dep octave is not working. The error message is E: Build-Depends dependency for octave cannot be satisfied because the package automake cannot be found I have modified the ...
0
votes
1answer
33 views

Is there any programs for Ubuntu that will track a certain face that I want to track

I tried open_tld but it won't work; I have tried to compile it through octave manually after following the instructions; but I want to have a list of software for ubuntu that will track certain faces ...
0
votes
1answer
103 views

How to link, and compile, a C++ code using GNU Octave functions?

I am new to C++, and I have troubles to get going. I want to re-implement a code, written in GNU Octave, using C++. I would, however, still want to use some GNU Octave functionality in that C++ code. ...
1
vote
0answers
123 views

Failed to install Octave in Ubuntu 14.04 LTS

From other post, I know I should run sudo apt-get build-dep octave before install octave, but it returns: Reading package lists... Done Building dependency tree Reading state information... Done The ...
1
vote
1answer
36 views

When will Octave 4.0 be added to the software center?

Octave 4.0 has been available for several months now, but the software center is still providing Octave 3.8.1. Are there any plans to add support for 4.0 sometime soon?
0
votes
0answers
26 views

Is there anything that octave GUI cann't and CUI can? Or vice-versa?

Ever since it was released recently, I fell in love with the GUI of Octave and I believe that it is a big leap towards the elusive "never again with MATLAB" objective. So far all looks fine, however, ...
2
votes
1answer
259 views

How to recover from an apt-get problem

I was trying to install readline as a dependence for octave 4.0.0. Then the problem with apt-get install and the hint to execute sudo apt-get -f install. The following is what I receive: ...
0
votes
0answers
16 views

Run program in graphics mode - before login

I am running an Octave script that captures data and plots the results on the screen. The program runs 24/7 and needs to restart automaticly if system falls. The Aim is that: The program will ...
0
votes
0answers
19 views

Opening Octave from terminal

Very new to Ubuntu. I have been opening Octave from my initial terminal screen but today I get the error "Couldn't get a file descriptor relating to the console". Ideas?
0
votes
1answer
50 views

Question about the eig() function in GNU Octave

In GNU Octave, does the eig() do the balancing of the matrix? I know the eig() in numpy does the balancing of the matrix.
0
votes
0answers
48 views

problems with Octave plots

Just installed GNU Octave, version 3.8.1 and there is something wrong with plotting. This is what I am doing: octave:1> N=40; octave:2> n=-15:N-15; octave:3> d=[zeros(1,N-25),ones(1,N-14)]; ...
2
votes
1answer
232 views

Failed Octave Uninstallation on Ubuntu 12.04 (Trouble Reinstalling Octave)

I'm an Ubuntu newb, so please bear with me. On trying to uninstall octave-3.2.4, I ended up doing rm -rf on all the octave related directories and files in /usr/bin/ before I could install the latest ...
0
votes
1answer
2k views

How can I install a package from Octave Forge?

How can I install a package from Octave Forge? I am using imresize function and I get this error warning: the 'imresize' function belongs to the image package from Octave Forge which seems to not ...
1
vote
0answers
146 views

Octave 4.0.0 Package dependencies cannot be resolved

trying to install GNU Octave on Ubuntu 14.04. I've tried following the solution in this almost identical question and ran the command sudo apt-get build-dep octave , but I still get the same list of ...
0
votes
0answers
74 views

Compiling octave-4.0.0 from source and receiving flex/lex error, yet I have flex

After unpacking to the tar.xz archive to a local directory, I run change to the directory and run ./configure the output is: checking for a BSD-compatible install... /usr/bin/install -c checking ...
1
vote
1answer
293 views

GNU-Octave won't install because of package conflicts

I am trying to install GNU-Octave in Ubuntu 14.04 LTS form the Ubuntu Software Center. I am getting the following error: Package dependencies cannot be resolved This error could be caused by ...
0
votes
0answers
260 views

pkg: error running the configure script for image in GNU Octave

I tried to add image package to Octave and faced the following error: pkg: error running the configure script for image Can you help me with this? $ octave --version GNU Octave, version ...
0
votes
1answer
86 views

How to make octave configure detect Qt in Ubuntu 14.04 [duplicate]

How to install GNU Octave 4.0.0?
1
vote
1answer
467 views

Trouble with Qt libraries while installing Gnu Octave 4.0.0 from source

I know that similar problems to this have arisen. I have tried all of the debugging techniques that I have heard of. I have made sure to download all of the dependencies for Qt4 from the following ...
0
votes
0answers
838 views

Octave 4.0 Gui does not start

I have installed Ubuntu trusty on my Dell Chromebook via crouton. Everything seems fine and it is doing nice, but when I tried to install the latest Octave following to the steps in this post I have ...
0
votes
1answer
510 views

How do I rebuild Octave and link in GraphicsMagick?

It appears there is some discussion on this issue. Octave only allows 8-bit pixels in using imread(). I have downloaded, rebuilt and installed GraphicsMagick with configure set to use 16 bit. I have ...
3
votes
3answers
2k views

octave 4 no GUI & some features not installed

I installed octave 4 by compiling source as given in How to install Octave 4.0.0 in Ubuntu 14.04 but i am not able to use GUI. octave --force-gui gives me only commandline in terminal . please ...
1
vote
1answer
316 views

Octave-4.0.0 Configuration step warnings in Ubuntu 15.04 (HDF5/jni.h not found)

I am trying to install Octave-4.0.0 from source following the instructions from the wiki page. I have installed every single dependency (optional too) mentioned on that page. In the configuration step ...
1
vote
2answers
313 views

Octave installation failed on ubuntu 15.04

I tried to install octave using sudo apt-get install octave and I met with the following error Setting up octave (3.8.2-4) ... error: couldn't read directory /usr/local/share/octave/packages: No ...
1
vote
1answer
122 views

Is it possible to set the terminal emulator used by desktop configuration files?

I have Octave 4.0.0 installed on my PC (which isn't available in the software centre btw or any PPAs I'm aware of, I installed it from source) and my preferred way to use it is via the command-line ...
16
votes
6answers
30k views

How to install Octave 4.0.0 in Ubuntu 14.04

I am using Ubuntu 14.04.2. I want to install the latest version of Octave (Octave 4.0.0 ). But in official Ubuntu repository ,there is only octave version 3.8 available for download/install. How can ...
2
votes
1answer
170 views

GNU Octave 4.0.0 - compiling from souce - error messages - your opinion?

I have been trying to install Octave 4.0.0 on Ubuntu 14.04. During the compiling there were some messages that something is missing on my computer in order to run Octave with all it's normal features. ...
0
votes
1answer
214 views

Installation of GNU Octave; path errors

I installed Octave via: cd /tmp wget -c ftp://ftp.gnu.org/gnu/octave/octave-4.0.0.tar.gz tar -xzf octave*.tar.gz mv octave* octave && sudo mv octave /opt sudo chmod 777 -R /opt/octave ...
0
votes
0answers
40 views

executing octave script and giving it argument

Hi guy i am new to octave and linux , i made an octave script and i give it an argument, i do that to tell octave which files to plot because i have several files with the same name but different ...
0
votes
1answer
350 views

octave gui : typing text in command window is not visible

Hi I am student and I heard about octave gui I used the command octave --force-gui when I had version 3.8 and while typing in command window I was not able to see the text. Cursor was there but no ...
0
votes
2answers
554 views

GNU Octave's legend function is broken

I am having big troubles producing quality plots with the default GNU Octave (3.8.1) which comes with Ubuntu 14.04 LTS. I am trying to re-run some existing code (thousands of lines of code) and the ...
1
vote
2answers
6k views

How to force Octave to launch in GUI mode from the dock?

I wonder how to execute "octave --force-gui" (3.8.1) in Ubuntu (14.04) from the graphical interface without having to go through the terminal? (The default icon in the dock bar executes "octave" ...
1
vote
1answer
156 views

Problem running octave with openmpi in juju

I am attempting to use openmpi from octave to start other octave instances on remote machines. When I run the scrip that should start the various processes, it complains about libraries being out of ...
0
votes
1answer
318 views

Cannot install octave on Ubuntu 14.10

I try to install octave on ubuntu 14.10 by $ sudo apt-get install octave Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be ...
0
votes
1answer
2k views

Having trouble installing octave packages

I am having trouble installing anything octave related. This includes through the apt-get command, and the pkg install within octave interpreter. I looked around and it seems be something with my ...
1
vote
0answers
141 views

Messed up while installing octave in Ubuntu 14.04. Having trouble doing apt-get upgrade & apt-get -f install now

Output of apt-get upgrade: Reading package lists... Building dependency tree... Reading state information... 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 1 not fully installed or ...
0
votes
0answers
51 views

Octave error in ubuntu 14.04 [duplicate]

I'm trying to install octave in Ubuntu 14.04 but i can't. Here is what I get in the terminal: Some packages could not be installed. This may mean that you have requested an impossible situation or if ...
1
vote
1answer
451 views

Change default workspace in Octave

I freshly installed Octave on my Computer and was wondering if I could switch the default workspace from /home/user to, let's say,/home/user/Octave but could not find any advice online... I am using ...
7
votes
2answers
8k views

Building ATLAS (and later Octave w/ ATLAS)

I'm trying to set up ATLAS (so I can later compile octave with ATLAS support). If I'm correct, I still need to build this manually due to the environment specific optimizations. I do see a package ...
4
votes
1answer
2k views

Octave install error when libreadline was installed to /usr/local/

I installed Octave 3.8.1 a few months ago and discovered that the GNU readline was not working properly. I tried reinstalling Octave 3.8.0, but the GNU readline does not work for the previous version ...
0
votes
1answer
536 views

Problem installing QtOctave

First I installed MATLAB and I got stuck here: No MATLAB executables were found in the directories you specified. This package requires at least one local installation of MATLAB. I was unable to ...
1
vote
1answer
245 views

Making more off forever in Octave

Octave by default uses the "more" command to page results. It is possible to type "more off" to stop that in the current session. How can I stop it permanently without passing that command to Octave? ...
1
vote
1answer
1k views

Gnuplot 4.6.4 in Ubuntu 12.04

I tried to install Gnuplot-4.6.4 in Ubuntu 12.04 after following http://priyansmurarka.wordpress.com/2013/07/02/gnuplot-on-ubuntu-12-04/ but it gave following error after sudo make In file ...